> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# Delete a subaccount

DELETE https://api.synthflow.ai/v2/subaccounts/{subaccount_id}

Deletes a subaccount by ID.

Reference: https://docs.synthflow.ai/api-reference/platform-api/subaccounts/delete-subaccount

## Authentication

- `Authorization` header (bearer token, required)

## Servers

- `https://api.synthflow.ai/v2` (Global, default)
- `https://api.us.synthflow.ai/v2` (United States)
- `https://api.eu.synthflow.ai/v2` (European Union)

## Request

### Path parameters

- `subaccount_id` (string, required) — Subaccount ID.

## Response

### 200

200

- `status` (string, optional) — Whether the request was successful.
- `response` (object, optional)
  - `answer` (string, optional)

## Examples

**Response**

```json
{
  "status": "ok",
  "response": {
    "answer": "Subaccount deleted."
  }
}
```

**SDK Code**

```python delete-subaccount_example
import requests

url = "https://api.synthflow.ai/v2/subaccounts/subaccount_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```go delete-subaccount_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/subaccounts/subaccount_id"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby delete-subaccount_example
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/subaccounts/subaccount_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java delete-subaccount_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api.synthflow.ai/v2/subaccounts/subaccount_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp delete-subaccount_example
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/subaccounts/subaccount_id");
var request = new RestRequest(Method.DELETE);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift delete-subaccount_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/subaccounts/subaccount_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```